Table of Contents

Breaking Changes

The following sections provide more details on the breaking changes introduced for release 2023.11.0.

Performance Improvements

When fetching single or batches of records using their id's, a lot of unnecessary information of related resources were accidentally returned. This accidental over-fetching on the GET API calls resulted in considerable overhead on both the client and server. We have now reworked most existing id-based GET calls to return only the necessary information required to view or update any resource.

The following table lists the performance improvements achieved for some of the most frequently used API calls:

API Call Before After
Get WorkOrder 16.00KB 6.9KB (56%)
Get WorkOrderTask 17.77KB 5.41KB (72%)
Get RegularAsset 7.46KB 3.88KB (50%)
Get RegularAssetTask 19.83KB 8.69KB (51%)
Get Costing 47KB 3.84KB (92%)
Important

The v11 release has the ability to fall back to the over-fetching behaviour if a breaking change introduced through these optimisations cannot be mitigated. The fallback behaviour applies to the whole On Key cluster and cannot be scoped towards an individual tenant running in the cluster. The fallback behaviour will be deprecated in v12.

Impacted Areas

All single or batch id-based GET calls for resources

Ability to edit and import Requisition Items

In order to implement this feature the property paths for all properties on Requisition Item POST operations have changed. For example, NewRequisitionItem->CostCentre_Id is now replaced with RequisitionItem->CostCentre_Id.

Impacted Areas

API Method Path
MM POST /Modules/MM/Requisitions/Items
MM POST /Modules/MM/Requisitions/Items/Batch